#!/bin/bash

cd $(dirname "$0")

HOST="0.0.0.0"
PORT="9090"

CLASSPATH=".:wlsagent.jar"

# Add Jetty dependencies to the plugin classpath.
CLASSPATH="${CLASSPATH}:lib/servlet-api-2.5.jar:lib/jetty-servlet-7.6.2.v20120308.jar" 

# Add WebLogic dependencies to the plugin classpath.
# The 'wljmxclient.jar' must be loaded before the 'wlfullclient.jar'.
CLASSPATH="${CLASSPATH}:lib/wlclient.jar:lib/wljmxclient.jar:lib/wlfullclient.jar"

${JAVA_HOME}/bin/java -Xmx32m -cp ${CLASSPATH} net.wait4it.nagios.wlsagent.core.WLSAgent ${HOST} ${PORT} > /dev/null 2>&1 &
